# tests.platform.linux.test_event_logging
#
# Author: Alejandro J. Cura <alecu@canonical.com>
#
# Copyright 2010 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Test the event logging on linux."""

from twisted.trial.unittest import TestCase

from ubuntuone.platform.linux import event_logging


class GetListenerTestCase(TestCase):
    """The zg listener is created."""

    def test_zeitgeist_installed_returns_listener(self):
        """get_listener returns a listener if ZG installed."""
        self.patch(event_logging, "is_zeitgeist_installed", lambda: True)
        listener = event_logging.get_listener(None, None)
        self.assertNotEqual(listener, None)

    def test_zeitgeist_not_installed_returns_none(self):
        """get_listener returns None if ZG not installed."""
        self.patch(event_logging, "is_zeitgeist_installed", lambda: False)
        listener = event_logging.get_listener(None, None)
        self.assertEqual(listener, None)
